var f = Object.defineProperty;
var r = (t, o) => f(t, "name", { value: o, configurable: !0 });
import { Code as n } from "../code.js";
function s(t) {
  const o = n[t];
  return typeof o != "string" ? t.toString() : o[0].toLowerCase() + o.substring(1).replace(/[A-Z]/g, (i) => "_" + i.toLowerCase());
}
r(s, "codeToString");
let e;
function u(t) {
  if (!e) {
    e = {};
    for (const o of Object.values(n))
      typeof o != "string" && (e[s(o)] = o);
  }
  return e[t];
}
r(u, "codeFromString");
export {
  u as codeFromString,
  s as codeToString
};
